Qwt User's Guide 6.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Static Public Member Functions | List of all members
QwtScaleArithmetic Class Reference

Arithmetic including a tolerance. More...

`#include <qwt_scale_engine.h>`

## Static Public Member Functions
static double | ceilEps (double value, double intervalSize)
static double | floorEps (double value, double intervalSize)
static double | divideEps (double interval, double steps)
| Divide an interval into steps. More...
static double | divideInterval (double interval, int numSteps, uint base)

## Detailed Description

Arithmetic including a tolerance.

## Member Function Documentation

double QwtScaleArithmetic::ceilEps | ( | double | value,
|  | double | intervalSize
| ) |  |
| static

Ceil a value, relative to an interval

Parameters

  value | Value to be ceiled
  intervalSize | Interval size

Returns
  Rounded value

See Also
  floorEps()

double QwtScaleArithmetic::divideEps | ( | double | intervalSize,
|  | double | numSteps
| ) |  |
| static

Divide an interval into steps.

Parameters

  intervalSize | Interval size
  numSteps | Number of steps

Returns
  Step size

double QwtScaleArithmetic::divideInterval | ( | double | intervalSize,
|  | int | numSteps,
|  | uint | base
| ) |  |
| static

Calculate a step size for a given interval

Parameters

  intervalSize | Interval size
  numSteps | Number of steps
  base | Base for the division ( usually 10 )

Returns
  Calculated step size

double QwtScaleArithmetic::floorEps | ( | double | value,
|  | double | intervalSize
| ) |  |
| static

Floor a value, relative to an interval

Parameters

  value | Value to be floored
  intervalSize | Interval size

Returns
  Rounded value

See Also
  floorEps()